package com.bocloud.cmp.provider.nsx;

import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.nms.model.nsx.NsxRouterPortModel;

/**
 * nsx路由器端口
 *
 * @author wangyu
 * @version 1.0
 * @since 2020年3月5日
 */
public interface RouterPortProvider extends SuperProvider {
    BocloudResult list();

    BocloudResult create(NsxRouterPortModel model);

    BocloudResult remove(String portId);

    BocloudResult detail(String portId);

    BocloudResult update(NsxRouterPortModel model);
}
